Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Interface BusinessPolicyManager

Deprecated

    @Deprecated
    public interface BusinessPolicyManager

The Business Policy Manager provides an interface by which a set of Business Policies can be associated with any object that implements it.

See Also
  `BusinessPolicy`

Method Summary
`void` | `addBusinessPolicy(String policyKey, BusinessPolicy businessPolicy)` Deprecated Add a new business policy to the object with the specified key
`BusinessPolicy` | `getBusinessPolicy(String policyKey)` Deprecated Retrieve the business policy with the specified key.
`BusinessPolicy` | `removeBusinessPolicy(String policyKey)` Deprecated Remove the business policy with the specified key.

Method Detail

### addBusinessPolicy

    void addBusinessPolicy(String policyKey,
                           BusinessPolicy businessPolicy)
                           throws SystemException,
                                  RemoteException

  Deprecated
  Add a new business policy to the object with the specified key

  Throws
    `SystemException`
    `RemoteException`

### getBusinessPolicy

    BusinessPolicy getBusinessPolicy(String policyKey)
                                     throws SystemException,
                                            RemoteException

  Deprecated
  Retrieve the business policy with the specified key.

  Throws
    `SystemException`
    `RemoteException`

### removeBusinessPolicy

    BusinessPolicy removeBusinessPolicy(String policyKey)
                                        throws SystemException,
                                               RemoteException

  Deprecated
  Remove the business policy with the specified key.

  Throws
    `SystemException`
    `RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.